Bug 1473212 - Default role Viewer does not contain resource permissions view_content_views and view_lifecycle_environments
Default role Viewer does not contain resource permissions view_content_views ...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles (Show other bugs)
x86_64 Linux
unspecified Severity medium (vote)
: Beta
: --
Assigned To: satellite6-bugs
Nikhil Kathole
: Regression, Triaged
: 1349974 (view as bug list)
Depends On:
Blocks: 1373844 1446724
  Show dependency treegraph
Reported: 2017-07-20 04:53 EDT by Djebran Lezzoum
Modified: 2018-02-21 12:00 EST (History)
7 users (show)

See Also:
Fixed In Version: katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-21 12:00:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of UI (78.33 KB, image/png)
2017-09-03 02:54 EDT, Nikhil Kathole
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17962 None None None 2017-08-02 05:35 EDT

  None (edit)
Description Djebran Lezzoum 2017-07-20 04:53:24 EDT
Description of problem:
Default Role "Viewer" does not contain resource permissions view_content_views and view_lifecycle_environments

Version-Release number of selected component (if applicable):
* candlepin-2.0.37-1.el7.noarch
* candlepin-selinux-2.0.37-1.el7.noarch
* foreman-1.15.2-1.el7sat.noarch
* foreman-cli-1.15.2-1.el7sat.noarch
* foreman-compute-1.15.2-1.el7sat.noarch
* foreman-debug-1.15.2-1.el7sat.noarch
* foreman-discovery-image-3.1.1-22.el7sat.noarch
* foreman-ec2-1.15.2-1.el7sat.noarch
* foreman-gce-1.15.2-1.el7sat.noarch
* foreman-installer-1.15.2-1.el7sat.noarch
* foreman-installer-katello-
* foreman-libvirt-1.15.2-1.el7sat.noarch
* foreman-openstack-1.15.2-1.el7sat.noarch
* foreman-ovirt-1.15.2-1.el7sat.noarch
* foreman-postgresql-1.15.2-1.el7sat.noarch
* foreman-proxy-1.15.2-1.el7sat.noarch
* foreman-rackspace-1.15.2-1.el7sat.noarch
* foreman-selinux-1.15.2-1.el7sat.noarch
* foreman-vmware-1.15.2-1.el7sat.noarch
* katello-3.4.2-1.el7sat.noarch
* katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-2.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.4.0-1.el7sat.noarch
* katello-common-3.4.2-1.el7sat.noarch
* katello-debug-3.4.2-1.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-
* katello-selinux-3.0.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.4.2-1.el7sat.noarch
* openldap-2.4.40-13.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.3.0-1.el7sat.noarch
* pulp-katello-1.0.2-1.el7sat.noarch
* pulp-ostree-plugins-1.2.1-1.el7sat.noarch
* pulp-puppet-plugins-2.12.2-1.el7sat.noarch
* pulp-puppet-tools-2.12.2-1.el7sat.noarch
* pulp-rpm-plugins-2.12.2-2.el7sat.noarch
* pulp-selinux-2.12.2-2.el7sat.noarch
* pulp-server-2.12.2-2.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.6-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7sat.noarch

How reproducible:

Steps to Reproduce:
1. Goto Administer > Roles
2. In search box type  name = Viewer
3. press Search button
4. In the listed Viewer role row, Click on Filters
5. The filters for role Viewer open
6  Search for view_content_views and view_lifecycle_environments

Actual results:
view_content_views and view_lifecycle_environments are not listed in default Viewer role

Expected results:
view_content_views and view_lifecycle_environments must be listed in default Viewer role

Additional info:
in 6.2 view_content_views and view_lifecycle_environments are listed in default Viewer role
Comment 5 Jitendra Yejare 2017-08-11 04:12:51 EDT
This issue is also impacting 'Organization Admin' role. The entire content menu is disabled for Organization Admin role.

Organization Admin is Satellite 6.3 feature and hence we need to get this in 6.3 snaps ASAP.
Comment 6 Marek Hulan 2017-08-24 09:00:03 EDT
*** Bug 1349974 has been marked as a duplicate of this bug. ***
Comment 7 Nikhil Kathole 2017-09-03 02:53:48 EDT

Version Tested:
Satellite-6.3 Snap 14

1. Navigated to roles
2. Click on filters of Viewer role

view_content_views and view_lifecycle_environments were present in default Viewer role. (see attached screenshot)
Comment 8 Nikhil Kathole 2017-09-03 02:54 EDT
Created attachment 1321448 [details]
screenshot of UI
Comment 9 Bryan Kearney 2018-02-21 12:00:53 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.